# Class TaggedObject

java.lang.Object
org.fressian.TaggedObject

All Implemented Interfaces:
  `Tagged`

public class TaggedObject extends Object implements Tagged

## Field Summary

Fields
Modifier and Type
Field
Description
`final Map`
`meta`
`final Object`
`tag`
`final Object[]`
`value`

## Constructor Summary

Constructors
Constructor
Description
`TaggedObject(Object tag, Object[] value)`
`TaggedObject(Object tag, Object[] value, Map meta)`

## Method Summary

Modifier and Type
Method
Description
`Map`
`getMeta()`
`Object`
`getTag()`
`Object[]`
`getValue()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tag

public final Object tag

### value

public final Object[] value

### meta

public final Map meta

## Constructor Details

### TaggedObject

public TaggedObject(Object tag, Object[] value)

### TaggedObject

public TaggedObject(Object tag, Object[] value, Map meta)

## Method Details

### getTag

public Object getTag()

Specified by:
  `getTag` in interface `Tagged`

### getValue

public Object[] getValue()

Specified by:
  `getValue` in interface `Tagged`

### getMeta

public Map getMeta()

Specified by:
  `getMeta` in interface `Tagged`